/*
 * Cueplot: a GUI front-end to gnuplot
 * Copyright (C) 2007, 2009 Muneyuki Noguchi <nogu@users.sourceforge.jp>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef PLOT_TITLE_INCLUDED
#define PLOT_TITLE_INCLUDED

#include <QtCore/QString>

#include "abstractcommandoption.h"

//! plot コマンドのオプション
class PlotTitle : public AbstractCommandOption
{
	public:
		PlotTitle();

		/*!
		 * \brief タイトルを設定する
		 * \param title 設定するタイトル
		 */
		void setTitle(const QString &title);
		/*!
		 * \brief タイトルを得る
		 * \return タイトル
		 */
		const QString &title() const;

		/*!
		 * \brief タイトルなしにするかどうかを設定する
		 * \param flag タイトルなしにするかどうか
		 */
		void setNoTitle(bool flag);
		/*!
		 * \brief タイトルなしにするかどうかを返す
		 * \return タイトルなしにするならば true
		 */
		bool isNoTitle() const;

		QString option() const;
	private:
		QString title_;
		bool isNoTitle_;
};
#endif // PLOT_TITLE_INCLUDED
