/*
 * Cueplot: a GUI front-end to gnuplot
 * Copyright (C) 2007, 2008 Muneyuki Noguchi <nogu@users.sourceforge.jp>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef FIT_MODIFIER_WIDGET_INCLUDED
#define FIT_MODIFIER_WIDGET_INCLUDED

#include <QtCore/QList>
#include <QtGui/QWidget>
class QCheckBox;
class QLineEdit;
class QSpinBox;

class FitModifier;

class FitModifierWidget : public QWidget
{
	Q_OBJECT

	public:
		explicit FitModifierWidget(QWidget *parent = 0);
		~FitModifierWidget();

		void setModifier(const FitModifier &fitModifier);
		FitModifier modifier() const;

	private Q_SLOTS:
		//! チェックボックスの状態に応じて他のチェックボックスの状態を変える
		void setIndex();

	private:
		// don't implement these
		FitModifierWidget(const FitModifierWidget &);
		FitModifierWidget &operator=(const FitModifierWidget &);

		static const int AXIS_NUM = 3;
		QCheckBox *columnCheckBox[AXIS_NUM];
		QLineEdit *columnLineEdit[AXIS_NUM];
		QCheckBox *formatCheckBox;
		QLineEdit *formatLineEdit;
		QList<QCheckBox *> indexCheckBoxList;
		QList<QSpinBox *> indexSpinBoxList;
		QList<QCheckBox *> samplingCheckBoxList;
		QList<QSpinBox *> samplingSpinBoxList;
};
#endif // FIT_MODIFIER_WIDGET_INCLUDED
